Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class SymTabEntry

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry

Direct Known Subclasses:
  BindingEntry, MessageEntry, PortEntry, PortTypeEntry, ServiceEntry, TypeEntry

public abstract class SymTabEntry
extends Object

SymTabEntry is the base class for all symbol table entries. It contains four things: - a QName - space for a Writer-specific name (for example, in Wsdl2java, this will be the Java name) - isReferenced flag indicating whether this entry is referenced by other entries - dynamicVars; a mechanism for Writers to add additional context information onto entries.

Field Summary
`protected String` | `name`
`protected javax.xml.namespace.QName` | `qname`

Constructor Summary
`protected` | `SymTabEntry(javax.xml.namespace.QName qname)` Construct a symbol table entry with the given QName.

Method Summary
`Object` | `getDynamicVar(Object key)` There may be information that does not exist in WSDL4J/DOM structures and does not exist in our additional structures, but that Writer implementation will need.
`String` | `getName()` Get the name of this entry.
`javax.xml.namespace.QName` | `getQName()` Get the QName of this entry.
`boolean` | `isReferenced()` Is this entry referenced by any other entry in the symbol table?
`void` | `setDynamicVar(Object key, Object value)`
`void` | `setIsReferenced(boolean isReferenced)` Set the isReferenced variable, default value is true.
`void` | `setName(String name)` Set the name of this entry.
`String` | `toString()` Collate the info in this object in string form.
`protected String` | `toString(String indent)` Collate the info in this object in string form with indentation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### qname

    protected javax.xml.namespace.QName qname

### name

    protected String name

Constructor Detail

### SymTabEntry

    protected SymTabEntry(javax.xml.namespace.QName qname)

  Construct a symbol table entry with the given QName.

Method Detail

### getQName

    public final javax.xml.namespace.QName getQName()

  Get the QName of this entry.

### getName

    public String getName()

  Get the name of this entry. The name is Writer-implementation-dependent. For example, in Wsdl2java, this will become the Java name.

### setName

    public void setName(String name)

  Set the name of this entry. This method is not called by the framework, it is only called by the Writer implementation.

### isReferenced

    public final boolean isReferenced()

  Is this entry referenced by any other entry in the symbol table?

### setIsReferenced

    public final void setIsReferenced(boolean isReferenced)

  Set the isReferenced variable, default value is true.

### getDynamicVar

    public Object getDynamicVar(Object key)

  There may be information that does not exist in WSDL4J/DOM structures and does not exist in our additional structures, but that Writer implementation will need. This information is most likely context-relative, so the DynamicVar map is provided for the Writers to store and retrieve their particular information.

### setDynamicVar

    public void setDynamicVar(Object key,
                              Object value)

### toString

    public String toString()

  Collate the info in this object in string form.

### toString

    protected String toString(String indent)

  Collate the info in this object in string form with indentation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.